#include "StdAfx.h"
#include "ChatUser.h"
#include "NtalkDragData.h"

CChatUser::CChatUser(void)
: m_bInviteStatus(FALSE),
  m_nJoinType(JOIN_TYPE_NONE),
  m_bUserInfoLoaded(FALSE)
{
    m_status = ustOFFLINE;   //ustUnknown
    m_iptStatus = iptstIDLE; //iptstUNKNOWN
}

CChatUser::~CChatUser(void)
{
}

void CChatUser::SetInviteStatus(BOOL bInviteStatus){

    if (m_bInviteStatus != bInviteStatus)
    {
        NTALK_LOG->Debug(L"[CHAT] SETINVITESTATUS %s:%s(0x%p): %d->%d", 
            m_strID, m_strName, this, m_bInviteStatus, bInviteStatus);
    }
    m_bInviteStatus = bInviteStatus; 
}

void CChatUser::SetStatus(GTUserStatusType status)
{
     m_status = status;
}

void CChatUser::SetDragData( const CNtalkDragData& data )
{
	this->m_strID = data.m_strID;
	this->m_strName = data.m_strName;
	this->m_strNickName = data.m_strNickName;
	this->m_status = (GTUserStatusType) data.m_nUserStatus;
	this->m_strExtensionTel = data.m_strExtensionTel;
	this->m_strCellphone = data.m_strCellphone;
	this->m_strJobPos = data.m_strJobPos;
	this->m_strJobDuty = data.m_strJobDuty;
	this->m_strDeptNm = data.m_strDeptName;
}

void CChatUser::SetGTBuddyUser( const IGTBuddyUser* pUser )
{
	this->m_strID = pUser->GetUserID();
	this->m_strName = pUser->GetName();
	this->m_strNickName = pUser->GetTalkName();
	this->m_status = pUser->GetStatus();
}

void CChatUser::SetMemberData( const NE_MEMBER_DATA& data )
{
	this->m_strID = data.strUserId.c_str();
	this->m_strName = data.strName.c_str();
	this->m_strNickName = data.strNickName.c_str();
	this->m_strExtensionTel = data.strExtesion.c_str();
	this->m_strIncoTel = data.strIncoTel.c_str();
	this->m_strCellphone = data.strCellPhone.c_str();
	this->m_strJobPos = data.strJobPos.c_str();
	this->m_strJobDuty = data.strJobDuty.c_str();
	this->m_strDeptNm = data.strDept.c_str();
	m_strEmail = data.strEmail.c_str();
}
